This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PVector
Name | ### get()
Examples |
    PVector v1, v2;

    void setup() {
      size(100, 100);
      v1 = new PVector(20.0, 30.0, 40.0);
      v2 = new PVector();
      v2 = v1.get();
      println(v2.x);  // Prints "20.0"
      println(v2.y);  // Prints "30.0"
      println(v2.z);  // Prints "40.0"
    }
Description | Gets a copy of the vector, returns a PVector object.
Syntax |
    .get()
    .get(target)
Returns | PVector or float[]

Updated on October 26, 2013 08:58:33pm PDT